org.apache.fop.render.txt

## Class TxtRendererConfig

- java.lang.Object
- - org.apache.fop.render.txt.TxtRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class TxtRendererConfig
    extends Object
    implements RendererConfig

The Text renderer configuration data object.

### Nested Class Summary

Nested Classes
`static class` `TxtRendererConfig.TxtRendererConfigParser` The Text renderer configuration data parser.
`static class` `TxtRendererConfig.TxtRendererOption`

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEncoding()`
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

Description copied from interface: `RendererConfig`
Returns the render-specific font configuration information.

Specified by:
  `getFontInfoConfig` in interface `RendererConfig`
Returns:
  the font config

#### getEncoding

    public String getEncoding()